using TravelCompanyContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.StoragesContracts.TouristStoragesContracts
{
    public interface ITravelStorage
    {
        List<TravelViewModel> GetFullList();
        List<TravelViewModel> GetFilteredList(TravelSearchModel model);
        TravelViewModel? GetElement(TravelSearchModel model);
        TravelViewModel? Insert(TravelBindingModel model);
        TravelViewModel? Update(TravelBindingModel model);
        TravelViewModel? Delete(TravelBindingModel model);
    }
}